{
  "name": "@chargedcloud/react-crudgenerator",
  "author": "ChargedCloud",
  "license": "ISC",
  "version": "1.17.6",
  "description": "A react crud generator for nextjs",
  "main": "dist/index.js",
  "module": "dist/index.js",
  "browser": "dist/index.js",
  "files": [
    "dist"
  ],
  "keywords": [
    "react",
    "crud",
    "generator",
    "crudgenerator",
    "react-crudgenerator",
    "next",
    "frontend",
    "datatable"
  ],
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/chargedcloud/open-source/react-crudgenerator.git"
  },
  "scripts": {
    "build": "babel src -d dist",
    "prepublishOnly": "npm i && npm run build"
  },
  "dependencies": {
    "@reduxjs/toolkit": "^1.9.7",
    "ajv": "^8.12.0",
    "ajv-errors": "^3.0.0",
    "axios": "^1.5.1",
    "lodash": "^4.17.21",
    "next": "^14.1.1",
    "react": "^18.2.0",
    "react-confirm-alert": "^3.0.6",
    "react-data-table-component": "^7.5.4",
    "react-dom": "^18.2.0",
    "react-redux": "^8.1.3",
    "react-spinners": "^0.13.8",
    "react-toastify": "^9.1.3",
    "redux": "^4.2.1"
  },
  "devDependencies": {
    "@babel/cli": "^7.23.0",
    "@babel/core": "^7.23.2",
    "@babel/preset-env": "^7.23.2",
    "@babel/preset-react": "^7.22.15",
    "eslint": "^8.52.0",
    "eslint-config-airbnb": "^19.0.4",
    "eslint-plugin-import": "^2.29.0",
    "eslint-plugin-jsx-a11y": "^6.7.1",
    "eslint-plugin-react": "^7.33.2",
    "eslint-plugin-react-hooks": "^4.6.0",
    "sass": "^1.72.0",
    "uuid": "^9.0.1"
  },
  "peerDependencies": {
    "bootstrap": "^5.3.3"
  }
}